$background: #f0eff6;
$selected: #460ccd;
$text: #929299;

.sidebar {
  position: fixed;
  width: 200px;
  height: calc(100% - 50px);
  background-color: $background;
  user-select: none;

  .link {
    width: 80%;
    height: 50px;
    margin: 10px auto;
    display: flex;
    color: $text;

    mat-icon {
      width: 30px;
      height: 30px;
      font-size: 30px;
      margin: 10px;
    }

    span {
      align-self: center;
      justify-self: center;
    }

    &.selected {
      background: #fff;
      color: $selected;
      border-left: 5px solid $selected;
    }

    &:hover {
      cursor: pointer;
      background: #fff;
    }
  }

  .update {
    top: 100%;
    left: 5%;
    transform: translateY(-110%);
    width: 90%;
    height: 17%;
    background-color: #fff;
    border-radius: 20px;
    position: absolute;

    mat-icon {
      margin-top: 5px;
      width: 100%;
      height: max-content;
      line-height: 100%;
      text-align: center;
      font-size: 40px;
    }

    h1 {
      text-align: center;
      font-weight: bold;
      font-size: 17px;
    }

    span {
      display: block;
      width: 100%;
      text-align: center;
    }

    input {
      display: block;
      margin: 20px auto;
      width: 80%;
      height: 30px;
      background-color: $selected;
      border: none;
      border-radius: 8px;
      color: #fff;

      &:hover {
        cursor: pointer;
      }
    }
  }
}

.content {
  margin-left: 200px;
  width: calc(100% - 200px);
  height: calc(100% - 50px);
  background-color: $background;
}

@media screen and (max-width: 750px) {
  .sidebar {
    display: none;
  }

  .content {
    margin-left: 0;
    width: 100%;
  }
}
